<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolFactory.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolFactory.hh Details</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolFactory.hh</h1><div><a href="../../Source/Synopsis/SymbolFactory.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="SymbolLookup/Scope.hh.html" >Synopsis/SymbolLookup/Scope.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html" >SymbolFactory</a>
<div class="doc"><p>SymbolFactory populates a symbol table.</p>
</div></div>

</div>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >PrototypeScope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >TemplateParameterScope</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolFactory</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_language" >my_language</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_prototype" >my_prototype</a>
<div class="doc"><p>When parsing a function definition the declarator is seen first,
and thus a prototype is created to hold the parameters.</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_scopes" >my_scopes</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_template_parameters" >my_template_parameters</a>
<div class="doc"><p>When parsing a class or function template the template-parameter-list
is seen first.</p>
</div></div>

</div>
<div><h3>Enums in Synopsis::SymbolFactory</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#Language" >Language</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolFactory</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#SymbolFactory_lLanguage_r" >SymbolFactory&#40;Language&#41;</a>
<div class="doc"><p>Create a symbol lookup table for the given language.</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#current_scope_l_r" >current_scope&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mDeclaration_S_r" >declare&#40;const&#160;PTree::Declaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mEnumSpec_S_r" >declare&#40;const&#160;PTree::EnumSpec*&#41;</a>
<div class="doc"><p>declare the enumeration as a new TYPE as well as all the enumerators as CONST</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mParameterDeclaration_S_r" >declare&#40;const&#160;PTree::ParameterDeclaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypeParameter_S_r" >declare&#40;const&#160;PTree::TypeParameter*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypedef_S_r" >declare&#40;const&#160;PTree::Typedef*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDeclaration_S_r" >declare&#40;const&#160;PTree::UsingDeclaration*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDirective_S_r" >declare&#40;const&#160;PTree::UsingDirective*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mBlock_S_r" >enter_scope&#40;const&#160;PTree::Block*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mClassSpec_S_r" >enter_scope&#40;const&#160;PTree::ClassSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mFunctionDefinition_S_r" >enter_scope&#40;const&#160;PTree::FunctionDefinition*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNamespaceSpec_S_r" >enter_scope&#40;const&#160;PTree::NamespaceSpec*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNode_S_r" >enter_scope&#40;const&#160;PTree::Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mTemplateDecl_S_r" >enter_scope&#40;const&#160;PTree::TemplateDecl*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#lookup_scope_of_qname_lPTree_mEncoding_A_cconst.PTree_mNode_S_r" >lookup_scope_of_qname&#40;PTree::Encoding&amp;&#44;const&#160;PTree::Node*&#41;</a>
<div class="doc"><p>Lookup the scope of a qualified name.</p>
</div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolFactory</h3>
<div class="item"><a href="../../Scopes/Synopsis/SymbolFactory.html#Scopes" >Scopes</a>
<div class="doc"></div></div>
</div>

</body>
</html>
